# Hardware
- Tracking code, requirements, BOM and so on, for delivering the hardware solution 

**Transmitter** 
- Gather data from sensors, send to gateway using LoRa
- No internet connection required

**Receiver**
- Collect data from transmitter nodes
- Parse / verify and upload to project API
- Either requires internet connection to function, or connection to network hosting the API, may look to allow fully offline/off-grid functionality going forwards

## BOM - Field Sensors
| Unit | Cost | Description | Link |
|------|------|-------------|------|
| WeMos D1 Mini | £1.58 | Micro Controller | [Buy](https://www.aliexpress.com/item/1005001824235269.html) |
| RA-01 / RA-02 | £2.13 | 433MHz SX1278 LoRa Transceiver Modules | [Buy](https://www.aliexpress.com/item/32811847832.html) |
| PMS5003 | £10.33 | Plantower Laser Air/Partical/Dust Sensor | [Buy](https://www.aliexpress.com/item/32944660534.html) | 
| SHT30 | £1.23 | Temperature / Humidity Sensor | [Buy](https://www.aliexpress.com/item/4001176687785.html) |
| S8-0024 S8-4B | £11.95 | SenseAir Infrared Co2 Sensor | [Buy](https://www.aliexpress.com/item/1005001398537365.html) |
| SSD1306 | 1.16 | 0.91" 128x32 Pixel Display | [Buy](https://www.aliexpress.com/item/32777216785.html) |


# Pinout - Transmitters  
**Plantower PMS5003 Partical Sensor**
|PMS5003 | D1 Mini |
|--------|---------|
|Pin 1	 | VCC 5V  |
|Pin 2	 | GND     |
|Pin 5 TX| D4 (RX) |


**LoRa RA-02**
| RA-02 | D1 Mini    |
|-------|------------|
| GND   | GND	     |
| 3.3V  | VCC 3.3V   |
| RST   | D3	     |
| D100  | D2	     |
| NSS   | D1	     |
| MOSI  | D7	     |
| MISO  | D6	     |
| SCK   | D5	     |


**SHT3X-DIS Temp/Humidity Sensor**
| SHT3X-DIS | D1 Mini |
|-----------|---------|
|    GND    |   GND   |
|    VCC    | VCC 3.3V|
|    SCL    |   D1    |
|    SDA    |   D2    |


**SenseAir S8-4B**
| SenseAir | D1 Mini |
|----------|---------|
|   VCC    | VCC 3.3V|
|   GND    | GND     |
|   TX     |         |
|   RX     |         |


**LCD SSD1306 128x32 i2c**
| LCD | D1 Mini |
|-----|---------|
| VCC | VCC 3.3V|
| GND | GND     |
| SCK |         |
| SDA | D2      |


# Pinout - Wemos D1 Perspective
| Board | Physical  |	Component           |
|-------|-----------|-----------------------|
| D0    |	16      |	NSS LoRa            |
| D1    | 	5       |	SCL SHT             |
| D2    |	4       |	SDA SHT	            |
| D3    |	0       |	RST LoRa            |
| D4    |	2       |	TX Partical         |
| D5    |	14      |	SCK LoRa            |
| D6    |	12      |	MISO LoRa           |
| D7    |	13      |	MOSI LoRa           |
| D8    |	15      |	Dio0 LoRa           |
| 3.3V	|   -	    |   LoRa, SHT	        |
| 5.0V	|   -	    |   Partical            |
| GND   |	-       |	Lora, SHT, Partical |
| TX    |	1       |                       |
| RX    |	3       |                       |

